Create an API key
curl --request POST \
--url https://api.impellabs.tech/api/v1/partner/keys/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Server",
"scopes": [
"tenants:write",
"channels:read",
"channels:write",
"messages:read",
"messages:write"
]
}
'import requests
url = "https://api.impellabs.tech/api/v1/partner/keys/"
payload = {
"name": "Server",
"scopes": ["tenants:write", "channels:read", "channels:write", "messages:read", "messages:write"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Server',
scopes: [
'tenants:write',
'channels:read',
'channels:write',
'messages:read',
'messages:write'
]
})
};
fetch('https://api.impellabs.tech/api/v1/partner/keys/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/partner/keys/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Server',
'scopes' => [
'tenants:write',
'channels:read',
'channels:write',
'messages:read',
'messages:write'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/partner/keys/"
payload := strings.NewReader("{\n \"name\": \"Server\",\n \"scopes\": [\n \"tenants:write\",\n \"channels:read\",\n \"channels:write\",\n \"messages:read\",\n \"messages:write\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impellabs.tech/api/v1/partner/keys/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Server\",\n \"scopes\": [\n \"tenants:write\",\n \"channels:read\",\n \"channels:write\",\n \"messages:read\",\n \"messages:write\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/partner/keys/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Server\",\n \"scopes\": [\n \"tenants:write\",\n \"channels:read\",\n \"channels:write\",\n \"messages:read\",\n \"messages:write\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "7c0d1e2f-0000-4000-8000-000000000000",
"name": "Server",
"prefix": "implpk_ab12cd",
"scopes": [
"tenants:write"
],
"status": "active",
"expires_at": null,
"last_used_at": null,
"created_at": "2026-01-15T09:30:00+00:00",
"key": "implpk_ab12cd.YOUR_SECRET"
}{
"detail": "<string>",
"code": "<string>",
"field": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}Keys
Create an API key
Creates a key. Answers 201 with the whole key once in key. Store it at once, because it cannot be read again. This call needs a partner console session. An API key is refused.
POST
/
api
/
v1
/
partner
/
keys
/
Create an API key
curl --request POST \
--url https://api.impellabs.tech/api/v1/partner/keys/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Server",
"scopes": [
"tenants:write",
"channels:read",
"channels:write",
"messages:read",
"messages:write"
]
}
'import requests
url = "https://api.impellabs.tech/api/v1/partner/keys/"
payload = {
"name": "Server",
"scopes": ["tenants:write", "channels:read", "channels:write", "messages:read", "messages:write"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Server',
scopes: [
'tenants:write',
'channels:read',
'channels:write',
'messages:read',
'messages:write'
]
})
};
fetch('https://api.impellabs.tech/api/v1/partner/keys/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/partner/keys/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Server',
'scopes' => [
'tenants:write',
'channels:read',
'channels:write',
'messages:read',
'messages:write'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/partner/keys/"
payload := strings.NewReader("{\n \"name\": \"Server\",\n \"scopes\": [\n \"tenants:write\",\n \"channels:read\",\n \"channels:write\",\n \"messages:read\",\n \"messages:write\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impellabs.tech/api/v1/partner/keys/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Server\",\n \"scopes\": [\n \"tenants:write\",\n \"channels:read\",\n \"channels:write\",\n \"messages:read\",\n \"messages:write\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/partner/keys/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Server\",\n \"scopes\": [\n \"tenants:write\",\n \"channels:read\",\n \"channels:write\",\n \"messages:read\",\n \"messages:write\"\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "7c0d1e2f-0000-4000-8000-000000000000",
"name": "Server",
"prefix": "implpk_ab12cd",
"scopes": [
"tenants:write"
],
"status": "active",
"expires_at": null,
"last_used_at": null,
"created_at": "2026-01-15T09:30:00+00:00",
"key": "implpk_ab12cd.YOUR_SECRET"
}{
"detail": "<string>",
"code": "<string>",
"field": "<string>",
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
Body
application/json
Response
Success